<?php
    header('Access-Control-Allow-Origin: '.$config->get('site_url'));
    header('Content-Type: application/json; charset=utf-8');
    header('Access-Control-Allow-Methods: POST');
    header('Access-Control-Allow-Headers: Access-Control-Allow-Headers,Content-Type,Access-Control-Allow-Methods, Authorization, X-Requested-With');
    
    $response = "";
    if($_SERVER["REQUEST_METHOD"] == "POST") {
        if(isset($_POST['csrf_token']) && $csrf_generator->validate($_POST['csrf_token'])) {
            if(isset($_POST['id']) && !empty($_POST['id'])) {
                $cronApi   	    = new Cron($db, $utils);
                $job = $cronApi->getJob($_POST['id']);
                if($job) {
                    $response = array('status'=>true, 'message'=>'Job Bulundu.', 'job'=>$job);
                }else{
                    $response = array('status'=>false, 'message'=>'Görev detayları bulunamadı.');
                }
            } else {
                $response = array('status'=>false, 'message'=>'Lütfen tüm alanları doldurunuz.');
            } 
        } else {
            $response = array('status'=>false, 'message'=>'Hatalı CSRF token. Lütfen daha sonra tekrar deneyiniz.');
        }
    } else {
        $response = array('status'=>false, 'message'=>'Hatalı istek. Lütfen daha sonra tekrar deneyiniz.');
    }

    echo json_encode($response);